in:
  type: file
  path_prefix: ./data/example-csv/
  parser:
    type: csv
    charset: UTF-8
    newline: LF
    delimiter: ','
    skip_header_lines: 1
    columns:
    - {name: "constituent_id", type: string}
    - {name: "display_name", type: string}
    - {name: "artist_bio", type: string}
    - {name: "nationality", type: string}
    - {name: "gender", type: string}
    - {name: "begin_date", type: string}
    - {name: "end_date", type: string}
    - {name: "wiki_qid", type: string}
    - {name: "ulan", type: string}
    quote: '"'
    escape: '"'
    trim_if_not_quoted: false
    allow_extra_columns: false
    allow_optional_columns: false
out:
  type: postgresql
  user: postgres
  ssl: true
  # extend socket timeout for long running queries (seconds)
  socket_timeout: 10800
  options: {loglevel: 3}
  host: '{{env.PGHOST}}'
  user: '{{env.PGUSER}}'
  password: '{{env.PGPASSWORD}}'
  database: '{{env.PGDATABASE}}'
  schema: '{{env.PGSCHEMA}}'
  table: '{{env.PGTABLE}}'
  temp_schema: public
  mode: replace

